# fn() assignQualities
Assign quality values between strings.

Defined in | <seqan/basic.h>
Signature | `void assignQualities(target, source);`

## Parameters

`target` | Target string, can be a String of DnaQ or Dna5Q characters.
`source` | Source string. Can be a String of int or char.

## Detailed Description

### Remarks

The target is resized to the length of source. This function calls assignQualityValue for all entries of `target` and `source`, look at the documentation of assignQualityValue on how the values of `source` are interpreted.

Note that qualities are expected to be in PHRED scale.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- assignQualityValue

#### Dox Sources

    /*!
     * @fn assignQualities
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Assign quality values between strings.
     *
     * @signature void assignQualities(target, source);
     *
     * @param[out] target Target string, can be a String of DnaQ or Dna5Q
     *                    characters.
     * @param[in] source Source string. Can be a String of int or char.
     *
     * @section Remarks
     *
     * The target is resized to the length of source. This function calls
     * assignQualityValue for all entries of <tt>target</tt> and <tt>source</tt>,
     * look at the documentation of assignQualityValue on how the values of
     * <tt>source</tt> are interpreted.
     *
     * Note that qualities are expected to be in PHRED scale.
     *
     * @see AlphabetWithQualitiesConcept#assignQualityValue
     */